# TODO: use /usr/lib/cgi-bin instead of /home/services
#
# Conditional build:
%bcond_without	database	# without database support (wwwcount works in old way)
%bcond_with	db3		# use db3 instead of db package
#
Summary:	WWW Hit Access Counter
Summary(pl.UTF-8):	Licznik dostępu do strony WWW
Name:		wwwcount
Version:	2.6
Release:	13
Epoch:		1
Group:		Networking/Utilities
License:	BSD-like
Source0:	http://www.muquit.com/muquit/software/Count/Count2.6/Count2.6/download/src/%{name}%{version}.tar.gz
# Source0-md5:	1d584bb21fe401480c69fe2f08879b8d
Source1:	http://www.muquit.com/muquit/software/Count/Count2.6/Count2.6/download/docs/%{name}%{version}docs.tar.gz
# Source1-md5:	867648585ee461d9062501c9d279d59e
Source2:	%{name}.cfg
Source3:	%{name}.logrotate
Patch0:		%{name}-pld.patch
Patch1:		%{name}-errno.patch
Patch2:		%{name}-db41.patch
URL:		http://www.muquit.com/muquit/software/Count/Count2.6/Count.html
BuildRequires:	automake
%if %{with database}
%{!?with_db3:BuildRequires:	db-devel}
%{?with_db3:BuildRequires:	db3-devel}
%endif
BuildRequires:	freetype1-devel
Requires(post):	/bin/hostname
Requires(post):	fileutils
Requires(post):	sed
Requires:	webserver
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		httpdir		/home/services/httpd
%define		cgidir		%{httpdir}/cgi-bin

%description
wwwcount is a cgi script for apache (and other HTTP daemons), which
prododuces nice picture with number of people visited your website.
You can use your custom fonts with wwwcount.

%description -l pl.UTF-8
wwwcount jest skryptem cgi do apache (i innych serwerów HTTP), który
generuje piękny obrazek z ilością osób które odwiedziły twoją stronę.
Możesz używać także swoich unikalnych czcionek.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
tar xzf %{SOURCE1}

for a in `find -type f -name "*.pl*"`
do
	%{__perl} -pi -e 's@/usr/local/bin/perl@/usr/bin/perl@' $a
	%{__perl} -pi -e 's@c:\perl\bin\perl@/usr/bin/perl@' $a
done

%build
cp -f /usr/share/automake/config.* .
%configure2_13 \
	%{!?with_database:--without-database}

./build --all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/logrotate.d,%{cgidir}} \
	$RPM_BUILD_ROOT/var/{log/httpd,lib/wwwcount/{data,db,log/archive}} \
	$RPM_BUILD_ROOT{%{_libdir}/wwwcount,%{_bindir}}

install bin/Count.cgi $RPM_BUILD_ROOT%{cgidir}/wwwcount.cgi
%{?with_database:install bin/count_admin.pl $RPM_BUILD_ROOT%{cgidir}/wwwcount_admin.cgi}
%{?with_database:install bin/count_admin_help.pl $RPM_BUILD_ROOT%{cgidir}/wwwcount_admin_help.cgi}
install bin/{extdgts,mkstrip,mwhich} $RPM_BUILD_ROOT%{_bindir}
%{?with_database:install bin/{editdb,dumpdb,rgbtxt2db} $RPM_BUILD_ROOT%{_bindir}}
install data/data/* $RPM_BUILD_ROOT/var/lib/wwwcount/data
install data/rgb.txt $RPM_BUILD_ROOT%{_libdir}/wwwcount

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

cp -rf data/digits $RPM_BUILD_ROOT%{_libdir}/wwwcount
cp -rf data/fonts $RPM_BUILD_ROOT%{_libdir}/wwwcount

touch $RPM_BUILD_ROOT/var/lib/wwwcount/log/wwwcount-{error,visitor}

rm -rf %{name}%{version}docs/{dirsync,prehtml,scripts,tmp,README,gzip.arc,mkarc.sh}
rm -rf %{name}%{version}docs/Count%{version}/download

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
sed %{_sysconfdir}/wwwcount.cfg -e "s/%HOSTNAME%/`hostname -f`/g" \
	-e "s/%DOMAINNAME%/`hostname -d`/g" \
	-e "s/%IPNAME%/`hostname -i`/g" > %{_sysconfdir}/wwwcount.cfg.rpmtmp
mv -f %{_sysconfdir}/wwwcount.cfg.rpmtmp %{_sysconfdir}/wwwcount.cfg

%files
%defattr(644,root,root,755)
%doc README TODO %{name}%{version}docs/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{cgidir}/wwwcount.cgi
%{?with_database:%attr(755,root,root) %{cgidir}/wwwcount_*.cgi}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/wwwcount.cfg
%attr(775,root,http) %dir /var/lib/wwwcount
%attr(775,root,http) %dir /var/lib/wwwcount/log
%attr(775,root,http) %dir /var/lib/wwwcount/log/archive
%{!?with_database:%attr(775,root,http) %dir /var/lib/wwwcount/data}
%{?with_database:%attr(775,root,http) %dir /var/lib/wwwcount/db}
%{!?with_database:%attr(664,root,http) %config(noreplace) %verify(not md5 mtime size) /var/lib/wwwcount/data/*}
%attr(664,root,http) %config(noreplace) %verify(not md5 mtime size) /var/lib/wwwcount/log/wwwcount*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%{_libdir}/wwwcount
%changelog
* Sun Oct 21 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wwwcount.git;a=log;h=master

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> b95ecd4
- rebuild to fix broken filedigests
- release 13 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> d5d49d1
- rebuild with fixed rpm macros
- release 12 (by relup.sh)

* Sat Sep 22 2012 Jan Rękorajski <baggins@pld-linux.org> 094e8c7
- fix building with bdb 5.x
- rel 11

* Fri Jan 20 2012 Jan Rękorajski <baggins@pld-linux.org> 1df63a2
- rel 10
- logrotate 3.8.0 requires "su" option for non-root owned dirs

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> fe2fcbf
- dropped pre-cvs changelog

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> 532484b
- more s|/var/log/archiv|/var/log/archive|g

* Mon Apr 02 2007 Jan Rękorajski <baggins@pld-linux.org> 8681e7b
- s|/var/log/archiv|/var/log/archive|g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 05177db
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a73d8fc
- converted to UTF-8

* Tue Oct 31 2006 Jakub Bogusz <qboosh@pld-linux.org> a0b5b24
- todo: cgi-bin dir move

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 4901c34
- adapterized (sorted %verify attrs)

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 9f1db19
- R: httpd -> R: webserver, rel 9

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> bead354
- "HTTP" unification

* Sat Apr 24 2004 twittner <twittner@pld-linux.org> 2f490de
- cleaning

* Sat Apr 24 2004 twittner <twittner@pld-linux.org> d1acdfa
- /usr/local/bin/perl & other -> /usr/bin/perl
- rel. 8

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> a2927cd
- ugh, too much from gendiff

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> f37005c
- fix paths when configure is used instead of Count-config

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 5ffb4aa
- added db41 patch, fixed build with database, BR: freetype1-devel

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> c64560f
- fix for db4.1+

* Tue Dec 16 2003 Jakub Bogusz <qboosh@pld-linux.org> 0dc4ad5
- added errno patch, new-style bconds

